"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var stringify_1 = require("../utils/stringify");
var mock_1 = require("../mock");
function validateCalled(actual) {
    var actualString = stringify_1.stringify(actual);
    if (!mock_1.isMockFunction(actual)) {
        return {
            success: false,
            message: "expected " + actualString + " to be called, " +
                "but it is not a mock function",
            negatedMessage: ''
        };
    }
    return {
        success: actual.calls.length > 0,
        message: "expected " + actualString + " to be called",
        negatedMessage: "expected " + actualString + " not to be called, but it was"
    };
}
exports.validateCalled = validateCalled;
