"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var stringify_1 = require("../utils/stringify");
var isNumber_1 = require("../utils/isNumber");
var mock_1 = require("../mock");
function validateCalledTimes(count) {
    if (!isNumber_1.isNumber(count)) {
        throw new TypeError('argument 0 of .toBeCalledTimes must be a number');
    }
    return function (actual) {
        var actualString = stringify_1.stringify(actual);
        if (!mock_1.isMockFunction(actual)) {
            return {
                success: false,
                message: "expected " + actualString + " to be called " + count + " times, " +
                    "but it is not a mock function",
                negatedMessage: ''
            };
        }
        return {
            success: actual.calls.length === count,
            message: "expected " + actualString + " to be called " + count + " times, but " +
                ("it was called " + actual.calls.length + " times"),
            negatedMessage: "expected " + actualString + " not to be called " + count + " " +
                "times, but it was"
        };
    };
}
exports.validateCalledTimes = validateCalledTimes;
