"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var stringify_1 = require("../utils/stringify");
var isNumber_1 = require("../utils/isNumber");
var DEFAULT_PRECISION = 0.000000001;
function validateCloseTo(expected, precision) {
    if (precision === void 0) { precision = DEFAULT_PRECISION; }
    if (!isNumber_1.isNumber(expected)) {
        throw new TypeError('argument 0 of .toBeCloseTo must be a number');
    }
    if (!isNumber_1.isNumber(precision)) {
        throw new TypeError('argument 1 of .toBeCloseTo must be a number');
    }
    return function (actual) {
        var actualString = stringify_1.stringify(actual);
        if (!isNumber_1.isNumber(actual)) {
            return {
                success: false,
                message: "expected " + actualString + " to be close to " + expected + ", " +
                    "but it is not a number",
                negatedMessage: ''
            };
        }
        return {
            success: isCloseTo(actual, expected, precision),
            message: "expected " + actualString + " to be close to " + expected,
            negatedMessage: "expected " + actualString + " not to be close to " +
                (expected + ", but it is")
        };
    };
}
exports.validateCloseTo = validateCloseTo;
function isCloseTo(actual, expected, precision) {
    var diff = Math.abs(actual - expected);
    return diff * 2 < precision;
}
