"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var stringify_1 = require("../utils/stringify");
var deepCompare_1 = require("../utils/deepCompare");
function validateEqual(expected) {
    return function (actual) {
        var expectedString = stringify_1.stringify(expected);
        var actualString = stringify_1.stringify(actual);
        var differences = deepCompare_1.deepCompare(actual, expected);
        return {
            success: differences.length === 0,
            message: "expected " + actualString + " to equal " + expectedString + "\n" +
                differences.map(formatDifference).join('\n'),
            negatedMessage: "expected " + actualString + " not to equal " +
                (expectedString + ", but it did")
        };
    };
}
exports.validateEqual = validateEqual;
function formatDifference(_a) {
    var path = _a.path, message = _a.message;
    if (path) {
        return "      - " + path + " | " + message;
    }
    return "      - " + message;
}
