"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var stringify_1 = require("../utils/stringify");
var isNumber_1 = require("../utils/isNumber");
function validateGreaterThanOrEqual(expected) {
    if (!isNumber_1.isNumber(expected)) {
        throw new TypeError('argument 0 of .toBeGreaterThanOrEqual must be a number');
    }
    return function (actual) {
        var actualString = stringify_1.stringify(actual);
        if (!isNumber_1.isNumber(actual)) {
            return {
                success: false,
                message: "expected " + actualString + " to be greater than or equal to " +
                    (expected + ", but it is not a number"),
                negatedMessage: ''
            };
        }
        return {
            success: actual >= expected,
            message: "expected " + actualString + " to be greater than or equal to " + expected,
            negatedMessage: "expected " + actualString + " not to be greater than or equal to " +
                (expected + ", but it is")
        };
    };
}
exports.validateGreaterThanOrEqual = validateGreaterThanOrEqual;
