"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var stringify_1 = require("../utils/stringify");
function validateInstanceOf(constructor) {
    if (typeof constructor !== 'function') {
        throw new TypeError('argument 0 of .toBeInstanceOf must be a function');
    }
    return function (actual) {
        var actualString = stringify_1.stringify(actual);
        return {
            success: actual instanceof constructor,
            message: "expected " + actualString + " to be an instance of " + constructor.name,
            negatedMessage: "expected " + actualString + " not to be an instance of " +
                (constructor.name + ", but it is")
        };
    };
}
exports.validateInstanceOf = validateInstanceOf;
