"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var stringify_1 = require("../utils/stringify");
var isNumber_1 = require("../utils/isNumber");
function validateLessThan(expected) {
    if (!isNumber_1.isNumber(expected)) {
        throw new TypeError('argument 0 of .toBeLessThan must be a number');
    }
    return function (actual) {
        var actualString = stringify_1.stringify(actual);
        if (!isNumber_1.isNumber(expected)) {
            return {
                success: false,
                message: "expected " + actualString + " to be less than " + expected + ", but it is not a number",
                negatedMessage: ''
            };
        }
        return {
            success: actual < expected,
            message: "expected " + actualString + " to be less than " + expected,
            negatedMessage: "expected " + actualString + " not to be less than " +
                (expected + ", but it is")
        };
    };
}
exports.validateLessThan = validateLessThan;
