"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var stringify_1 = require("../utils/stringify");
function validateStrictlyEqual(expected) {
    return function (actual) {
        var expectedString = stringify_1.stringify(expected);
        var actualString = stringify_1.stringify(actual);
        return {
            success: expected === actual,
            message: "expected " + actualString + " to strictly equal " + expectedString,
            negatedMessage: "expected " + actualString + " not to strictly equal " +
                (expectedString + ", but it did")
        };
    };
}
exports.validateStrictlyEqual = validateStrictlyEqual;
